TOP_HTTP_USERS(8)

NAME
top_http_users - AlternC Apache statistics

SYNOPSIS
top_http_users [options] number

DESCRIPTION
This manual page documents briefly the top_http_users command.

top_http_users is a program that gives brief statistics on apache usage by parsing the apache logs.

The result is sorted by:
    * number of lines in logs, by domain
    * size of transfered data, by domain
    * execution time, by domain
    * number of lines in logs, by AlternC account
    * size of transfered data, by AlternC account
    * execution time, by AlternC account

As parsing large log files can be time and cpu consuming, use the -n option, with low values, to have results more quickly (but less accurate).

top_http_users has to be run as root.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Show summary of options.

-v, --version
    Show version of top_http_users.

-z, --use-gz-logs
    Parse gzipped and .1, ...n apache logs instead of just parsing the current log.
    This option is not compatible with the -n option.

-s, --ssl
    Parse the apache-ssl logs instead of parsing the non-ssl apache logs.

-n, --number=NUMBER
    parse the NUMBER last lines of the current log.
    This option is not compatible with the -z option.

NUMBER
Shows a result of number users.

SEE ALSO
top_mysql_users(8), top_ftp_users(8), alternc-admintools(8).